Bug 1250019 - NetworkManager doesn't handle MTU correctly
Summary: NetworkManager doesn't handle MTU correctly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Lubomir Rintel
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-04 11:14 UTC by Lubomir Rintel
Modified: 2015-11-19 11:02 UTC (History)
5 users (show)

Fixed In Version: NetworkManager-1.0.4-4.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 11:02:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2315 normal SHIPPED_LIVE Moderate: NetworkManager security, bug fix, and enhancement update 2015-11-19 10:06:58 UTC

Description Lubomir Rintel 2015-08-04 11:14:17 UTC
Neeed to backport these:

Bug 752993 - 1.0.4: Interface enp3s0 has MTU of 1492 -- should be 1500 (edit) 
https://bugzilla.gnome.org/show_bug.cgi?id=752993

Bug 752508 - NetworkManager 1.0.4 minimizes MTU
https://bugzilla.gnome.org/show_bug.cgi?id=752508

Comment 3 Vladimir Benes 2015-09-04 20:07:07 UTC
Verified by setting MTU to 666 that should be ignored and set at least to 1280 so ipv6 can work. Setting MTU to 9000 works as well. Verified on all architectures.

Comment 4 errata-xmlrpc 2015-11-19 11:02:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2315.html


Note You need to log in before you can comment on or make changes to this bug.